> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get licenses for organization

> Get a list of licenses available for a client organization



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/partner/getLicensesForOrg
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/partner/getLicensesForOrg:
    post:
      tags:
        - Partner Webservice
      summary: Get licenses for organization
      description: Get a list of licenses available for a client organization
      operationId: getLicensesForOrg
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: partner-api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: partner-api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/License_GetLicensesForClientOrgWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/License_GetLicensesForClientOrgWSResponse'
          description: OK
      deprecated: true
components:
  schemas:
    License_GetLicensesForClientOrgWSRequest:
      type: object
      description: >-
        Request object for getting list of licenses available for a client
        organization.
      properties:
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    License_GetLicensesForClientOrgWSResponse:
      type: object
      description: >-
        Response object containing list of licenses available for a client
        organization.
      properties:
        licenses:
          type: array
          description: List of licenses available for the client organization
          items:
            $ref: '#/components/schemas/LicenseUsageType'
          nullable: true
    LicenseUsageType:
      type: object
      description: List of licenses available for the client organization
      properties:
        addOnLicenseType:
          $ref: '#/components/schemas/AddOnLicenseEnum'
        additionalPerceptionFeatures:
          type: array
          items:
            $ref: '#/components/schemas/PerceptionTypeEnum'
          nullable: true
          uniqueItems: true
        claimKeyUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        cloudArchiveDays:
          type: integer
          format: int32
          nullable: true
        createdOn:
          type: string
          format: date-time
          nullable: true
        deviceType:
          $ref: '#/components/schemas/DeviceTypeEnum'
        deviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        firstAssignedDate:
          type: string
          format: date-time
          nullable: true
        license:
          $ref: '#/components/schemas/AddOnLicenseEnum'
        licenseFamily:
          $ref: '#/components/schemas/DeviceLicenseFamilyEnum'
        licenseToUnassignEmailState:
          $ref: '#/components/schemas/LicenseToUnassignEmailStateEnum'
        maxDeleteDate:
          type: string
          format: date-time
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        perceptionTypes:
          type: array
          items:
            $ref: '#/components/schemas/PerceptionTypeEnum'
          nullable: true
          uniqueItems: true
        priorClaimKeyUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        productCode:
          type: string
          nullable: true
        productType:
          $ref: '#/components/schemas/ProductTypeEnum'
        state:
          $ref: '#/components/schemas/LicenseStateEnum'
        trial:
          type: boolean
          nullable: true
        updatedOn:
          type: string
          format: date-time
          nullable: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    AddOnLicenseEnum:
      type: string
      enum:
        - CLOUD_ARCHIVING
        - PERCEPTION
        - POSE
        - BEHAVIOR
        - VEHICLE
        - PEOPLE
        - PPE
        - PEOPLE_ANALYTICS
        - UNKNOWN
    PerceptionTypeEnum:
      type: string
      enum:
        - PEOPLE_COUNTING
        - FACE_COUNTING_UNIQUE
        - FACE_COUNTING_NONUNIQUE
        - ENGAGMENT_COUNTING
        - FACE_RECOGNITION
        - LICENSEPLATE_RECOGNITION
        - VEHICLE_COUNTING
        - OCCUPANCY_COUNTING
        - UNKNOWN
    DeviceTypeEnum:
      type: string
      enum:
        - BLE_TRACKER
        - CAMERA
        - DOOR_SENSOR
        - ENVIRONMENTAL_SENSOR
        - OCCUPANCY_SENSOR
        - AUDIO_GATEWAY
        - EXECUTABLE
        - BADGE_READER
        - DOOR_CONTROLLER
        - BLE_BUTTON
        - IO_BOARD
        - ENVIRONMENTAL_GATEWAY
        - NVR
        - ROBOT
        - UNKNOWN
    DeviceLicenseFamilyEnum:
      type: string
      enum:
        - CAMERA
        - CAMERA_MS
        - VIDEO_INTERCOM
        - AUDIO_GATEWAY
        - ENVIRONMENTAL_SENSOR
        - ENVIRONMENTAL_GATEWAY
    LicenseToUnassignEmailStateEnum:
      type: string
      enum:
        - INITIAL_EMAIL_SUCCEEDED
        - INITIAL_EMAIL_FAILED
        - FIFTEEN_DAY_WARNING_EMAIL_SUCCEEDED
        - FIFTEEN_DAY_WARNING_EMAIL_FAILED
        - FOURTY_EIGHT_HOUR_WARNING_EMAIL_SUCCEEDED
        - FOURTY_EIGHT_HOUR_WARNING_EMAIL_FAILED
        - UNKNOWN
    ProductTypeEnum:
      type: string
      enum:
        - DEVICE
        - ALERT_MONITORING
        - ACCESS_CONTROL
        - GUEST_MANAGEMENT
        - LICENSE_USAGE
        - UNKNOWN
    LicenseStateEnum:
      type: string
      enum:
        - CLAIMED
        - RENEWED
        - PENDING_RETURN
        - NOT_RENEWED
        - EXPIRED
        - PERMANENTLY_EXPIRED
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````